module.exports = {
    undef: 'undefined',
    obj: 'object',
    bool: 'boolean',
    str: 'string',
    num: 'number',
    fun: 'function',

    post: 'POST',
    get: 'GET',

    contentType: 'content-type',
    octet_stream: 'application/octet-stream',
    appJson: 'application/json',
    appJson_utf8: 'application/json; charset=utf-8',
    appForm: 'application/x-www-form-urlencoded',
    appForm_utf8: 'application/x-www-form-urlencoded; charset=utf-8',
    multipart: 'multipart/form-data',
    
    textPlain: 'text/plain',
    textPlain_utf8: 'text/plain; charset=utf-8',
    textHtml: 'text/html',
    textHtml_utf8: 'text/html; charset=utf-8',
    
    utf8: 'utf-8',

    isAjax: 'isajax',

    apiErr:{
        unknow: 1000,
        normal: 1001,
        parameter: 1002,
        unlogin: 1003,
    }
}