class testTime {
    constructor() {
        this.beginTime = null;
        this.rec = null;
    }

    start() {
        this.beginTime = Date.now();
        this.rec = [{ name: 'all', useTime: 0 }];
    }

    //标记一步的执行时间
    mark(stepName) {
        this.rec[this.rec.length] = {
            name: stepName || this.rec.length + 1,
            useTime: Date.now() - this.beginTime - this.rec[0].useTime
        };
        this.rec[0].useTime = Date.now() - this.beginTime;
    }

    //当前一次记录的执行时间（最后一条记录）
    useTime() {
        var obj = this.rec[this.rec.length - 1];
        return obj.useTime;
    }

    //所有记录的执行时间。
    allUseTime() {
        var r = '';
        for (var i in this.rec) {
            r += this.rec[i].name + ': ' +
                (this.rec[i].useTime / 1000).toString() + '秒; ';
        }
        return r;
    }
}

module.exports = testTime;